libgeo-metar-perl dependency

Bug #694535 reported by Lasse Luttermann
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lcdproc (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: lcdproc

When running lcdmetar.pl from the lcdproc package you will get the following error message, this is easily fixed by installing the libgeo-metar-perl package, so this package should be added as a dependency to lcdproc

xbmc@xbmc:~$ lcdmetar.pl
Can't locate Geo/METAR.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/bin/lcdmetar.pl line 109.
BEGIN failed--compilation aborted at /usr/bin/lcdmetar.pl line 109.

System info:
xbmc@xbmc:~$ lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

xbmc@xbmc:~$ apt-cache policy lcdproc
lcdproc:
  Installeret: 0.5.3-0ubuntu2
  Kandidat: 0.5.3-0ubuntu2
  Versionstabel:
 *** 0.5.3-0ubuntu2 0
        500 http://dk.archive.ubuntu.com/ubuntu/ maverick/universe amd64 Packages
        100 /var/lib/dpkg/status

Revision history for this message
Dominique Dumont (domi-dumont) wrote :

$ dpkg --listfiles lcdproc | grep metar
/usr/share/doc/lcdproc/examples/lcdmetar.pl.gz

lcdmetar is provided as an example. User should then install the required dependencies (which also include LWP::Simple).

I won't fix this bug on Debian side.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers